{-# LANGUAGE OverloadedStrings #-}

module Test.Shift.ParsersSpec where

import Shift.Parsers (commitType)
import Shift.Types (CommitType (CTFeature))
import Test.Hspec (Spec, describe, it)
import Test.Hspec.Megaparsec (shouldFailOn, shouldParse)
import Text.Megaparsec (parse)

spec :: Spec
spec = do
  describe "commitType" $ do
    it "parses a commit type" $ do
      parse commitType "" "feat" `shouldParse` CTFeature
    it "should fail if the commit type is unknown" $ do
      parse commitType "" `shouldFailOn` "omg"
